Index: modules/dnet-modular-uis/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/workflows/objects/ProcessInfo.java
===================================================================
--- modules/dnet-modular-uis/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/workflows/objects/ProcessInfo.java	(revision 42133)
+++ modules/dnet-modular-uis/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/workflows/objects/ProcessInfo.java	(revision 42134)
@@ -22,6 +22,7 @@
 		private final String name;
 		private final long startDate;
 		private final long endDate;
+		private final String status;
 
 		public ProcessNode(final Token t) {
 			this.id = t.getId();
@@ -28,6 +29,7 @@
 			this.name = t.getNodeName();
 			this.startDate = t.getStartDate();
 			this.endDate = t.getEndDate();
+			this.status = t.isActive() ? "active" : t.isFailed() ? "failed" : "done";
 		}
 
 		public String getId() {
@@ -46,6 +48,10 @@
 			return this.endDate;
 		}
 
+		public String getStatus() {
+			return this.status;
+		}
+
 	}
 
 	private String procId;
Index: modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/html/wf/wf-process-modal.html
===================================================================
--- modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/html/wf/wf-process-modal.html	(revision 42133)
+++ modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/html/wf/wf-process-modal.html	(revision 42134)
@@ -6,7 +6,12 @@
 				<h4 class="modal-title" id="logDetailsLabel">
 					Process <i>{{procId}}</i>
 					<span style="margin-left:10px" class="label"
-                          ng-class="{'label-success': proc.status == 'SUCCESS', 'label-danger': proc.status == 'FAILURE', 'label-info': proc.status == 'EXECUTING'}">{{proc.status}}</span>
+                          ng-class="{
+                          	'label-success': proc.status == 'SUCCESS', 
+                          	'label-danger': proc.status == 'FAILURE', 
+                          	'label-info': proc.status == 'EXECUTING',
+                          	'label-default': proc.status != 'SUCCESS' && proc.status != 'FAILURE' && proc.status != 'EXECUTING'
+                          }">{{proc.status}}</span>
 				</h4>
 			</div>
 			<div class="modal-body">
@@ -25,14 +30,45 @@
 						</form>
 					</div>
 				</div>
-				<p>
-					<table class="table table-condensed table-striped" style="table-layout: fixed; font-size: 12px;">
+				<br />
+				<div ng-switch="contentToShow">
+					<table ng-switch-when="nodes" class="table table-condensed table-striped" style="table-layout: fixed; font-size: 12px;">
+						<thead>
+							<tr>
+								<th>Node</th>
+								<th class="col-xs-4 text-center">Start date</th>
+								<th class="col-xs-4 text-center">End date</th>
+								<th class="col-xs-1 text-right">Status</th>
+							</tr>
+						</thead>
+						<tbody>
+							<tr ng-repeat="n in proc.processNodes">
+								<th>{{n.name}}</th>
+								<td class="text-center">{{n.startDate ? (n.startDate | date:'yyyy-MM-dd HH:mm:ss Z') : '-'}}</td>
+								<td class="text-center">{{n.endDate   ? (n.endDate   | date:'yyyy-MM-dd HH:mm:ss Z') : '-'}}</td>
+								<td class="text-right">
+									<span style="margin-left:10px" class="label"
+			                          ng-class="{
+			                          	'label-success': n.status == 'done', 
+			                          	'label-danger': n.status == 'failed', 
+			                          	'label-info': n.status == 'active'
+			                          }">{{n.status}}</span>
+								</td>
+							</tr>
+						</tbody>
+					</table>
+				
+					<table ng-switch-when="journal" class="table table-condensed table-striped" style="table-layout: fixed; font-size: 12px;">
 						<tr ng-repeat="p in proc.outputParams">
 							<th class="col-xs-4"><a href="javascript:void(0)" ng-click="setCurrentParam(p)">{{p.name}}</a></th>
 							<td style="text-overflow: ellipsis; overflow: hidden; white-space: nowrap;">{{p.value}}</td>
 						</tr>
 					</table>
-				</p>
+					
+					<p ng-switch-default>Workflow not started, please click on "REFRESH" button.</p>
+				</div>
+
+
 				<div class="well" style="font-size: 11px" ng-show="currentParam.name">
 					<p><strong>{{currentParam.name}}</strong></p>
 					<p>{{currentParam.value}}</p>
@@ -39,6 +75,8 @@
 				</div>
 			</div>
 			<div class="modal-footer">
+				<button class="btn btn-default pull-left" ng-show="contentToShow == 'journal' && proc.processNodes.length > 0" ng-click="showContent('nodes')">Show nodes</button>
+				<button class="btn btn-default pull-left" ng-show="contentToShow == 'nodes' && proc.outputParams.length > 0" ng-click="showContent('journal')">Show output parameters</button>
 				<button class="btn btn-primary" data-dismiss="modal">Close</button>
 			</div>
 		</div>
Index: modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/js/workflows/wf_process_viewer.js
===================================================================
--- modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/js/workflows/wf_process_viewer.js	(revision 42133)
+++ modules/dnet-modular-uis/trunk/src/main/resources/eu/dnetlib/web/resources/js/workflows/wf_process_viewer.js	(revision 42134)
@@ -14,6 +14,7 @@
 		link: function (scope, element, attrs, ctrl) {
 			scope.currentParam = {};
 			scope.current = {};
+			scope.contentToShow = '';
 			
 			$(element).modal({'show': false});
 		
@@ -28,28 +29,29 @@
 				
 					showSpinner();
 					
-					$http.get("wf/journal.get?id=" + scope.procId).success(
-						function (data) {
-							scope.proc = data;
-							hideSpinner();
-						}
-					).error(
-						function () {
-							showError('Something really bad must have happened to our fellow hamster..');
-							hideSpinner();
-						}
-					);
+					scope.refresh();
 				}
 			});
 			
+			scope.showContent = function(c) {
+				scope.contentToShow = c;
+			};
+			
 			scope.to_trusted = function (html_code) {
 				return $sce.trustAsHtml(html_code);
-			}
+			};
 
 			scope.refresh = function () {
 				showSpinner();
-				$http.get('wf/journal.get?id=' + scope.proc.procId).success(function (data) {
+				$http.get('wf/journal.get?id=' + scope.procId).success(function (data) {
 					scope.proc = data;
+					if (data.processNodes.length > 0) {
+						scope.contentToShow = 'nodes';
+					} else if (data.outputParams.length > 0) {
+						scope.contentToShow = 'journal';
+					} else {
+						scope.contentToShow = '';
+					}
 					hideSpinner();
 				}).error(function (e) {
 					show_notification('error', 'Error fetching process info: ' + e);