Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/workflows/repo-hi/aggregation_wf.xml.st
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/workflows/repo-hi/aggregation_wf.xml.st	(revision 45489)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/workflows/repo-hi/aggregation_wf.xml.st	(revision 45490)
@@ -27,8 +27,6 @@
                 <PARAM name="OAIInterpretation"     description="OAI Interpretation"                required="true" managedBy="system"  type="string">transformed</PARAM>
                 <PARAM name="OAIDBName"             description="OAI Database Name"                 required="true" managedBy="system"  type="string">oaistore_parthenos</PARAM>
                 <PARAM name="OAIConfiguredOnly"     description="Count only configured OAI sets"    required="true" managedBy="user"  type="boolean">false</PARAM>
-               <!-- TODO: How to get the data source name automatically? -->
-                <PARAM name="dsName"                description="Name of the datasource (for OAI set)"    required="true" managedBy="user"  type="string"/>
             </PARAMETERS>
             <WORKFLOW>
                 <NODE isStart="true" name="collection" type="LaunchWorkflowTemplate">
@@ -91,8 +89,6 @@
                         <PARAM name="wfTemplateId" value="df913a07-0a79-4b67-90c5-890733bca137_V29ya2Zsb3dUZW1wbGF0ZURTUmVzb3VyY2VzL1dvcmtmbG93VGVtcGxhdGVEU1Jlc291cmNlVHlwZQ==" />
                         <PARAM name="wfTemplateParams">
                             <MAP>
-                                <ENTRY key="dsId"               value="$dsId$" />
-                                <ENTRY key="dsName"             ref="dsName" />
                                 <ENTRY key="cleanMdstoreId"     ref="cleanMdstoreId" />
                                 <ENTRY key="OAIFormat"          ref="OAIFormat"/>
                                 <ENTRY key="OAILayout"          ref="OAILayout"/>
@@ -111,8 +107,6 @@
                         <PARAM name="wfTemplateId" value="f236f97a-199f-4f9a-80c8-0e356077e1d6_V29ya2Zsb3dUZW1wbGF0ZURTUmVzb3VyY2VzL1dvcmtmbG93VGVtcGxhdGVEU1Jlc291cmNlVHlwZQ==" />
                         <PARAM name="wfTemplateParams">
                             <MAP>
-                               <ENTRY key="dsId"               value="$dsId$" />
-                               <ENTRY key="dsName"             value="$dsName$" />
                                <ENTRY key="OAIFormat"          ref="OAIFormat"/>
                                <ENTRY key="OAILayout"          ref="OAILayout"/>
                                <ENTRY key="OAIInterpretation"  ref="OAIInterpretation"/>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/feed_oai_template.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/feed_oai_template.xml	(revision 45489)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/workflows/feed_oai_template.xml	(revision 45490)
@@ -10,8 +10,6 @@
 		<CONFIGURATION>
 			<PARAMETERS>
 				<PARAM name="cleanMdstoreId" description="Store for transformed records" required="true" type="string"/>
-				<PARAM name="dsId" description="Datasource Id" required="true" type="string"/>
-				<PARAM name="dsName" description="Datasource Name" required="true" type="string"/>
 				<PARAM name="OAIFormat" description="OAI Format" required="true" type="string"/>
 				<PARAM name="OAILayout" description="OAI Layout" required="true" type="string"/>
 				<PARAM name="OAIInterpretation" description="OAI Interpretation" required="true" type="string"/>
@@ -32,7 +30,7 @@
 					<DESCRIPTION>Clean original records</DESCRIPTION>
 					<PARAMETERS>
 						<PARAM name="eprParam" value="orig_epr"/>
-						<PARAM name="oaiSource" ref="dsName"/>
+						<PARAM name="oaiSource" env="datasource:name"/>
 						<PARAM name="oaiFormat" ref="OAIFormat"/>
 						<PARAM name="oaiLayout" ref="OAILayout"/>
 						<PARAM name="oaiInterpretation" ref="OAIInterpretation"/>