Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/index/parthenosLayoutToRecordStylesheet.xsl
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/index/parthenosLayoutToRecordStylesheet.xsl	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/parthenos/index/parthenosLayoutToRecordStylesheet.xsl	(revision 48767)
@@ -14,13 +14,15 @@
 
 	<xsl:template match="LAYOUT">
 		<nxsl:stylesheet version="2.0"
-			xmlns:dr="http://www.driver-repository.eu/namespace/dr"
+		    xmlns:oai="http://www.openarchives.org/OAI/2.0/"
 			xmlns:dri="http://www.driver-repository.eu/namespace/dri"
 			xmlns:dc="http://purl.org/dc/elements/1.1/"
 			xmlns:crm="http://www.cidoc-crm.org/cidoc-crm/"
 			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
 			xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
-			xmlns:foaf="http://xmlns.com/foaf/0.1/">
+			xmlns:foaf="http://xmlns.com/foaf/0.1/"
+			xmlns:crmpe="http://www.ics.forth.gr/isl/CRMext/CRMpe.rdfs/">
+		<!--TODO: change crmpe namespace to https://parthenos.d4science.org/CRMext/CRMpe.rdfs , see https://support.d4science.org/issues/8621 -->
 
 			<nxsl:output version="1.0" omit-xml-declaration="yes" method="xml" encoding="UTF8" />
 
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_row.xslt
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_row.xslt	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_row.xslt	(revision 48767)
@@ -40,10 +40,18 @@
 						<img src="../resources/img/record.png" width="80" height="80" />
 					</td>
 					<td>
-						<strong>Title: </strong><xsl:value-of select="//rdf:RDF/*/crm:P102_has_title/crm:E35_Title/rdfs:label" /><br/>
+						<strong>Original identifier: </strong><i><xsl:value-of select="//dri:recordIdentifier" /></i><br/><br/>
+						<strong>Data Source: </strong><i><xsl:value-of select="//dri:datasourcename" /></i><br/><br/>
+						<strong>Resource types: </strong>
+						<xsl:for-each-group select="//rdf:Description" group-by="./rdf:type/@rdf:resource">
+							<i><xsl:value-of select="tokenize(current-grouping-key(),'/')[last()]"/></i> (<xsl:value-of select="count(current-group())"/>)<br/>
+						</xsl:for-each-group>
 
-						<strong>Notes: </strong><xsl:for-each select="//crm:P3_has_note"><i><xsl:value-of select="." /></i></xsl:for-each><br/>
-						<strong>Author: </strong><xsl:value-of select="//*[local-name()='creator']" /><br/>
+						<!--<xsl:for-each select="//rdf:Description/rdf:type"><i><xsl:value-of select="tokenize(@rdf:resource,'/')[last()]" /></i><br/></xsl:for-each><br/>-->
+
+						<!--<xsl:value-of select="//rdf:RDF/*/crm:P102_has_title/crm:E35_Title/rdfs:label" /><br/>-->
+
+						<strong>Notes: </strong><xsl:for-each select="//crm:P3_has_note"><i><xsl:value-of select="." /></i><br/></xsl:for-each><br/>
 						<br />
 						<button class="btn btn-primary btn-sm" ng-click="getDocument('objidentifier', '{$id}')">show record</button>
 					</td>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_document.xslt
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_document.xslt	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_document.xslt	(revision 48767)
@@ -19,7 +19,8 @@
 			<div class="col-xs-10">
 				<xsl:if test="//*[local-name()='title']">
 					<h1 id="overview">
-						<xsl:value-of select="/crm:P102_has_title"/>
+						<!-- this is visualized big next to the picture. Since we cannot identify 1 main title, for Parthenos it wil be empty -->
+						<!--<xsl:value-of select="/crm:P102_has_title"/>-->
 					</h1>
 				</xsl:if>
 			</div>
@@ -35,55 +36,61 @@
 					<tbody>
 						<tr>
 							<td class="col-xs-3">
-								<strong>Author</strong>
+								<strong>Original identifier</strong>
 							</td>
 							<td>
-								<xsl:for-each select="//*[local-name()='creator']">
-									<xsl:value-of select="."/>
-									<br/>
-								</xsl:for-each>
+								<xsl:value-of select="//dri:recordIdentifier"/>
 							</td>
 						</tr>
 						<tr>
 							<td class="col-xs-3">
-								<strong>Title</strong>
+								<strong>Provenance</strong>
 							</td>
 							<td>
-								<xsl:for-each select="//crm:P102_has_title">
-									<xsl:value-of select="."/>
-									<br/>
-								</xsl:for-each>
+								<i>Data source: </i><xsl:value-of select="//dri:datasourcename"/><br/>
+								<i>D-Net API: </i><xsl:value-of select="//dri:datasourceapi"/>
 							</td>
 						</tr>
 						<tr>
 							<td class="col-xs-3">
-								<strong>Description</strong>
+								<strong>Collected</strong>
 							</td>
 							<td>
-								<xsl:for-each select="//crm:P3_has_note">
-									<xsl:value-of select="."/>
-									<br/>
-								</xsl:for-each>
+								<xsl:value-of select="//dri:dateOfCollection"/>
 							</td>
 						</tr>
 						<tr>
 							<td class="col-xs-3">
-								<strong>Identifiers</strong>
+								<strong>Transformed</strong>
 							</td>
 							<td>
-								<xsl:for-each select="//crm:P1_is_identified_by/crm:E42_Identifier/@rdf:about">
-									<xsl:value-of select="."/>
+								<xsl:value-of select="//dri:dateOfTransformation"/>
+							</td>
+						</tr>
+						<tr>
+							<td class="col-xs-3">
+								<strong>Resources (types, labels, and urls)</strong>
+							</td>
+							<td>
+								<xsl:for-each-group select="//rdf:Description" group-by="./rdf:type/@rdf:resource">
+									<i><xsl:value-of select="tokenize(current-grouping-key(),'/')[last()]"/></i> (<xsl:value-of select="count(current-group())"/>)<br/>
+										<xsl:for-each select="current-group()">
+											<xsl:if test="string-length(./rdfs:label) &gt; 0">
+												- <xsl:value-of select="./rdfs:label"/>
+												<br/>
+											</xsl:if>
+										</xsl:for-each>
 									<br/>
-								</xsl:for-each>
+								</xsl:for-each-group>
 							</td>
 						</tr>
 						<tr>
 							<td class="col-xs-3">
-								<strong>Type</strong>
+								<strong>Notes</strong>
 							</td>
 							<td>
-								<xsl:for-each select="//rdf:RDF/*/rdf:type/@rdf:resource">
-									<xsl:value-of select="substring-after(./text(),'http://www.ics.forth.gr/isl/CRMext/CRMpe.rdfs/')"/>
+								<xsl:for-each select="//crm:P3_has_note">
+									<xsl:value-of select="./text()"/>
 									<br/>
 								</xsl:for-each>
 							</td>
@@ -105,7 +112,7 @@
 	</xsl:template>
 
 	<xsl:template name="xmlAttr">
-		<span style='color:red'>
+		<span style='color:orange'>
 			<xsl:value-of select="concat(' ', local-name())"/>
 		</span>
 		<xsl:value-of select="concat('=&quot;', ., '&quot;')"/>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/LightUiDSResourceType/lightui_parthenos.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/LightUiDSResourceType/lightui_parthenos.xml	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/LightUiDSResourceType/lightui_parthenos.xml	(revision 48767)
@@ -20,66 +20,16 @@
 					<TEXT_FIELD id="title" operator="all" label="Title" />
 					<TEXT_FIELD id="originalid" label="Original Identifier" operator="exact" />
 					<TEXT_FIELD id="objidentifier" label="D-Net Identifier" operator="exact" />
-					<TEXT_FIELD id="parthenosurl" label="Parthenos URL" operator="exact" />
+					<TEXT_FIELD id="url" label="URL" operator="exact" />
 
 					<BROWSE_FIELD id="datasourcename" label="Data Source" />
 					<BROWSE_FIELD id="type" label="Type" />
-					<BROWSE_FIELD id="rdftype" label="rdf:type" />
 
 					<SELECT_FIELD id="cleaned" label="Cleaned records" operator="exact">
 						<VALUE id="true" label="true" />
 						<VALUE id="false" label="false" />
 					</SELECT_FIELD>
-					<!-- No need to add them explicitely: we can browse by type -->
-					<!--
-					 <SELECT_FIELD id="type" label="Type" operator="exact">
-						 <VALUE id="PE1_Service" label="PE1 Service" />
-						 <VALUE id="PE2_Hosting_Service" label="PE2 Hosting Service" />
-						 <VALUE id="PE3_Curating_Service" label="PE3 Curating Service" />
-						 <VALUE id="PE5_Digital_Hosting_Service" label="PE5 Digital Hosting Service" />
-						 <VALUE id="PE6_Software_Hosting_Service" label="PE6 Software Hosting Service" />
-						 <VALUE id="PE7_Data_Hosting_Service" label="PE7 Data Hosting Service" />
-						 <VALUE id="PE8_E_Service" label="PE8 E-Service" />
-						 <VALUE id="PE10_Digital_Curating_Service" label="PE10 Digital Curating Service" />
-						 <VALUE id="PE11_Software_Curating_Service" label="PE11 Software Curating Service" />
-						 <VALUE id="PE12_Data_Curating_Service" label="PE12 Data Curating Service" />
-						 <VALUE id="PE13_Software_Computing_E_Service" label="PE13 Software Computing E-Service" />
-						 <VALUE id="PE14_Software_Delivery_E_Service" label="PE14 Software Delivery E-Service" />
-						 <VALUE id="PE15_Data_E_Service" label="PE15 Data E-Service" />
-						 <VALUE id="PE16_Curated_Software_E_Service" label="PE16 Curated Software E-Service" />
-						 <VALUE id="PE17_Curated_Data_E_Service" label="PE17 Curated Data E-Service" />
-						 <VALUE id="PE18_Dataset" label="PE18 Dataset" />
-						 <VALUE id="PE19_Persistent_Digital_Object" label="PE19 Persistent Digital Object" />
-						 <VALUE id="PE20_Volatile_Digital_Object" label="PE20 Volatile Digital Object" />
-						 <VALUE id="PE21_Persistent_Software" label="PE21 Persistent Software" />
-						 <VALUE id="PE22_Persistent_Dataset" label="PE22 Persistent Dataset" />
-						 <VALUE id="PE23_Volatile_Software" label="PE23 Volatile Software" />
-						 <VALUE id="PE24_Volatile_Dataset" label="PE24 Volatile Dataset" />
-						 <VALUE id="PE25_RI_Consortium" label="PE25 RI Consortium" />
-						 <VALUE id="PE26_RI_Project" label="PE26 RI Project" />
-						 <VALUE id="PE28_Curation_Plan" label="PE28 Curation Plan" />
-						 <VALUE id="PE29_Access_Point" label="PE29 Access Point" />
-						 <VALUE id="PE32_Curated_Thing" label="PE32 Curated Thing" />
-						 <VALUE id="PE33_E_Access_Brokering_Service" label="PE33 E-Access Brokering Service" />
-						 <VALUE id="PE34_Team" label="PE34 Team" />
-						 <VALUE id="PE35_Project" label="PE35 Project" />
-						 <VALUE id="PE36_Competency_Type" label="PE36 Competency Type" />
-						 <VALUE id="PE37_Protocol_Type" label="PE37 Protocol Type" />
-						 <VALUE id="PE38_Schema" label="PE38 Schema" />
-						 <VALUE id="D1_Digital_Object" label="D1 Digital Object" />
-						 <VALUE id="D14_Software" label="D14 Software" />
-						 <VALUE id="E7_Activity" label="E7 Activity" />
-						 <VALUE id="E21_Person" label="E21 Person" />
-						 <VALUE id="E39_Actor" label="E39 Actor" />
-						 <VALUE id="E40_Legal_Body" label="E40 Legal Body" />
-						 <VALUE id="E65_Creation" label="E65 Creation" />
-						 <VALUE id="E70_Thing" label="E70 Thing" />
-						 <VALUE id="E71_Man_Made_Thing" label="E71 Man Made Thing" />
-						 <VALUE id="E74_Group" label="E74 Group" />
-						 <VALUE id="E77_Persistent_Item" label="E77 Persistent Item" />
-						 <VALUE id="E78_Curated_Holding" label="E78 Curated Holding" />
-					 </SELECT_FIELD>
-					 -->
+
 				</FIELDS>
 				<FORMATTER xslt="/eu/dnetlib/functionality/modular/ui/lightui/xslt/cidoc_2_row.xslt" />
 			</SEARCH>
@@ -88,7 +38,6 @@
 				<FIELDS>
 					<BROWSE_FIELD id="datasourcename" label="Data Source" />
 					<BROWSE_FIELD id="type" label="Type" />
-					<BROWSE_FIELD id="rdftype" label="rdf:ype" />
 					<BROWSE_FIELD id="language" label="Language" />
 					<BROWSE_FIELD id="cleaned" label="Cleaned records" />
 				</FIELDS>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/transformed-CIDOC.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/transformed-CIDOC.xml	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/transformed-CIDOC.xml	(revision 48767)
@@ -19,16 +19,18 @@
 					<FIELDS><!-- Header fields -->
 						<FIELD indexable="true" name="objidentifier" result="false" stat="false" tokenizable="false" xpath="//dri:objIdentifier"/>
 						<FIELD indexable="true" name="datasourcename" result="false" stat="false" xpath="//dri:datasourcename"/>
-						<FIELD indexable="true" name="datasourceprefix" result="false" stat="false" xpath="//dri:datasourceprefix"/>
-						<FIELD indexable="false" name="entity" result="true" stat="false" tokenizable="true" xpath="//*[local-name() = 'RDF']"/>
+						<FIELD indexable="true" name="datasourceprefix" result="false"  stat="false" xpath="//dri:datasourceprefix"/>
+						<FIELD header="true" indexable="true" name="datasourceapi" result="false" stat="false" xpath="//dri:datasourceapi"/>
+
+						<FIELD indexable="false" name="entity" result="true" stat="false" tokenizable="true" xpath="//rdf:RDF"/>
 						<!-- identification -->
-						<FIELD indexable="true" name="originalid" result="false" stat="false" tokenizable="false" xpath="//dri:recordIdentifier"/>
-						<FIELD indexable="true" name="parthenosurl" result="false" stat="false" tokenizable="false" xpath="//crm:P1_is_identified_by/crm:E42_Identifier/@rdf:about"/>
-						<FIELD indexable="true" name="type" result="false" stat="false" tokenizable="false" xpath="//rdf:RDF/*/local-name()"/>
-						<FIELD indexable="true" name="rdftype" result="false" stat="false" tokenizable="false" xpath="//rdf:RDF/*/rdf:type/@rdf:resource" value="tokenize(.,'/')[last()]"/>
+						<FIELD header="true" indexable="true" name="originalid" result="false" stat="false" tokenizable="false" xpath="//dri:recordIdentifier"/>
+						<FIELD indexable="true" name="url" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/@rdf:about"/>
+						<FIELD indexable="true" name="type" result="false" stat="false" tokenizable="false" xpath="//rdf:RDF/*/rdf:type/@rdf:resource" value="tokenize(.,'/')[last()]"/>
 
 						<!-- description -->
-						<FIELD indexable="true" name="title" result="false" stat="false" xpath="//crm:P102_has_title/crm:E35_Title/rdfs:label"/>
+						<!--<FIELD indexable="true" name="title" result="false" stat="false" xpath="//crm:P102_has_title/crm:E35_Title/rdfs:label"/>-->
+						<FIELD indexable="true" name="title" result="false" stat="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E35_Title']/rdfs:label"/>
 						<FIELD indexable="true" name="language" result="false" stat="false" tokenizable="false" xpath="//crm:P72_has_language"/>
 						<FIELD indexable="true" name="note" result="false" stat="false" xpath="//crm:P3_has_note"/>
 						
@@ -39,6 +41,7 @@
 						<FIELD header="true" indexable="false" name="cleaningErrors" result="false" stat="false" stored="true" tokenizable="false" xpath="//dri:invalid"/>
 						<!-- Browsing Fields -->
 						<FIELD browsingAliasFor="datasourcename" indexable="true" name="datasourcenameforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dri:datasourcename"/>
+						<FIELD browsingAliasFor="datasourceapi" indexable="true" name="datasourceapiforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dri:datasourceapi"/>
 					</FIELDS>
 				</LAYOUT>
 			</LAYOUTS>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/public-CIDOC.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/public-CIDOC.xml	(revision 48766)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResourceType/public-CIDOC.xml	(revision 48767)
@@ -15,56 +15,52 @@
         </CONFIGURATION>
         <STATUS>
             <LAYOUTS>
-                <!-- TODO: define the fields to index of CIDOC RDF records -->
+                <!-- TODO: define the fields to index of CIDOC RDF PLAIN records -->
                 <LAYOUT name="index">
                     <FIELDS>
+                        <!-- useful fields in any case-->
+						<FIELD indexable="false" name="entity" result="true" stat="false" tokenizable="true" xpath="//rdf:RDF"/>
 
                         <FIELD indexable="true" name="objidentifier" result="false" stat="false" tokenizable="false" xpath="//dri:objIdentifier"/>
+                        <FIELD header="true" indexable="true" name="originalid" result="false" stat="false" tokenizable="false" xpath="//dri:recordIdentifier"/>
                         <FIELD indexable="true" name="datasourcename" result="false" stat="false" xpath="//dri:datasourcename"/>
-                        <FIELD indexable="true" name="datasourceprefix" result="false" stat="false" xpath="//dri:datasourceprefix"/>
-                        <FIELD indexable="true" name="title" result="true" stat="false" xpath="//crm:P102_has_title"/>
-                        <FIELD indexable="true" name="subject" result="true" stat="false"  xpath="//crm:P129_is_about/crm:E73_Information_Object/crm:P129_is_about"/>
-                        <FIELD indexable="true" name="originalid" result="true" stat="false" tokenizable="false" xpath="//crm:P1_is_identified_by"/>
-                        <FIELD indexable="true" name="language" result="true" stat="false" tokenizable="false" xpath="//crm:P72_has_language"/>
-	                    <FIELD indexable="true" name="note" result="true" stat="false" xpath="//crm:P3_has_note"/>
+                        <FIELD indexable="true" name="datasourceprefix" result="false"  stat="false" xpath="//dri:datasourceprefix"/>
+                        <FIELD header="true" indexable="true" name="datasourceapi" result="false" stat="false" xpath="//dri:datasourceapi"/>
+	                    <FIELD indexable="true" name="url" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/@rdf:about"/>
+	                    <FIELD indexable="true" name="language" result="false" stat="false" tokenizable="false" xpath="//crm:P72_has_language"/>
 
-                        <!--<FIELD indexable="true" name="cobjcontentsynthesis" result="true" stat="false" xpath="//dr:CobjContentSynthesis"/>-->
-                        <!--<FIELD indexable="true" name="cobjtypology" result="true" stat="false" tokenizable="false" xpath="//dr:CobjTypology"/>-->
-                        <!--<FIELD indexable="true" name="cobjidentifier" result="true" stat="false" tokenizable="false" xpath="//dr:CobjIdentifier"/>-->
-                        <!--<FIELD indexable="true" name="cobjmodel" result="true" stat="false" tokenizable="false" xpath="//dr:CobjModel"/>-->
-                        <!--<FIELD indexable="true" name="cobjmdformats" result="true" stat="false" tokenizable="false" xpath="//dr:CobjMDFormats"/>-->
-                        <!--<FIELD indexable="true" name="cobjdescriptionsynthesis" result="true" stat="false" xpath="//dr:CobjDescriptionSynthesis"/>-->
-                        <!--<FIELD indexable="true" name="aggregatorname" result="true" stat="false" xpath="//dr:aggregatorName"/>-->
-                        <!--<FIELD indexable="true" name="aggregatorinstitution" result="true" stat="false" xpath="//dr:aggregatorInstitution"/>-->
+                        <!-- Fields requested by T6.5-->
+                        <!--<FIELD indexable="true" name="title" result="false" stat="false" xpath="//crm:P102_has_title/crm:E35_Title/rdfs:label"/>-->
+                        <FIELD indexable="true" name="all_titles" result="false" stat="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E35_Title']/rdfs:label"/>
+                        <!--<FIELD indexable="true" name="description" result="false" stat="false" xpath=""/>-->
+                        <FIELD indexable="true" name="all_descriptions" result="false" stat="false" xpath="//crm:P3_has_note"/>
+                        <FIELD indexable="true" name="type" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/rdf:type/@rdf:resource" value="tokenize(.,'/')[last()]"/>
+                        <FIELD indexable="true" name="type_E55type" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/crm:P2_has_type/@rdf:resource"/>
+                        <FIELD indexable="true" name="context_collection" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/crmpe:PP23i_is_dataset_part_of/@rdf:resource | //rdf:Description/PP20i_is_persistent_dataset_part_of/@rdf:resource"/>
+                        <FIELD indexable="true" name="context_provider" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/PP2_provided_by/@rdf:resource"/>
+                        <FIELD indexable="true" name="context_project" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/crmpe:PP43i_is_project_activity_supported_by/@rdf:resource"/>
+                        <FIELD indexable="true" name="context_ri_consortium" result="false" stat="false" tokenizable="false" xpath="//rdf:Description/crmpe:PP1_currently_provided_by/@rdf:resource"/>
 
-                        <!--<FIELD indexable="true" name="repositorylink" result="true" stat="false" tokenizable="false" xpath="//dr:repositoryLink"/>-->
-                        <!--<FIELD indexable="true" name="repositorycountry" result="true" stat="false" tokenizable="false" xpath="//dr:repositoryCountry"/>-->
-                        <!--<FIELD indexable="true" name="repositoryinstitution" result="true" stat="false" xpath="//dr:repositoryInstitution"/>-->
+                        <FIELD indexable="true" name="actor" result="false" stat="false" tokenizable="false"
+                               xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E39_Actor']/@rdf:about |
+                               //rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E40_Legal_Body']/@rdf:about |
+                               //rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E21_Person']/@rdf:about |
+                               //rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E74_Group']/@rdf:about |
+                               //rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E34_Team']/@rdf:about |
+                               //rdf:Description[./rdf:type/@rdf:resource='http://parthenos.d4science.org/CRMext/CRMpe.rdfs/PE25_RI_Consortium']/@rdf:about"/>
 
-                        <!--<FIELD indexable="true" name="creator" result="true" stat="false" xpath="//dc:creator"/>-->
-                        <!--<FIELD indexable="true" name="subject" result="true" stat="false" xpath="//dc:subject"/>-->
-                        <!--<FIELD indexable="true" name="cobjcategory" result="true" stat="false" tokenizable="false" xpath="//dr:CobjCategory"/>-->
-                        <!--<FIELD indexable="true" name="language" result="true" stat="false" tokenizable="false" xpath="//dc:language"/>-->
-                        <!--<FIELD indexable="true" name="dateaccepted" result="true" stat="false" tokenizable="false" xpath="//dc:dateAccepted"/>-->
-                        <!--<FIELD indexable="true" name="identifier" result="true" stat="false" tokenizable="false" xpath="//dc:identifier"/>-->
-                        <!--<FIELD indexable="true" name="publisher" result="true" stat="false" xpath="//dc:publisher"/>-->
-                        <!--<FIELD indexable="true" name="source" result="true" stat="false" xpath="//dc:source"/>-->
-                        <!--<FIELD indexable="true" name="contributor" result="true" stat="false" xpath="//dc:contributor"/>-->
-                        <!--<FIELD indexable="true" name="relation" result="true" stat="false" tokenizable="false" xpath="//dc:relation"/>-->
-                        <!--<FIELD indexable="true" name="description" result="true" stat="false" xpath="//dc:description"/>-->
-                        <!--<FIELD indexable="true" name="type" result="true" stat="false" xpath="//dc:type"/>-->
-                        <!--<FIELD indexable="true" name="date" result="true" stat="false" xpath="//dc:date"/>-->
-                        <!--<FIELD indexable="true" name="rights" result="true" stat="false" xpath="//dc:rights"/>-->
-                        <!--<FIELD indexable="true" name="format" result="true" stat="false" xpath="//dc:format"/>-->
+	                    <FIELD indexable="true" name="acquisitiontime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E8_Acquisition']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
+	                    <FIELD indexable="true" name="movetime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E9_Move']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
+						<FIELD indexable="true" name="custodytransfertime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E10_Transfer_of_Custody']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
+						<FIELD indexable="true" name="modificationtime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E11_Modification']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
+	                    <FIELD indexable="true" name="creationtime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E65_Creation']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
+	                    <FIELD indexable="true" name="curationactivitytime" result="false" stat="false" tokenizable="false" xpath="//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span' and ./@rdf:about =//rdf:Description[./rdf:type/@rdf:resource='http://www.cidoc-crm.org/cidoc-crm/E87_Curation_Activity']/crm:P4_has_time-span/@rdf:resource]/crm:P82_at_some_time_within"/>
 
+
                         <!-- Browsing Fields -->
                         <FIELD browsingAliasFor="datasourcename" indexable="true" name="datasourcenameforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dri:datasourcename"/>
-                        <FIELD browsingAliasFor="subject" indexable="true" name="subjectforbrowsing" result="false" stat="false" tokenizable="false" xpath="//crm:P129_is_about/crm:E73_Information_Object/crm:P129_is_about"/>
+                        <FIELD browsingAliasFor="datasourceapi" indexable="true" name="datasourceapiforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dri:datasourceapi"/>
 
-                        <!--<FIELD browsingAliasFor="contributor" indexable="true" name="contributorforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dc:contributor"/>-->
-                        <!--<FIELD browsingAliasFor="publisher" indexable="true" name="publisherforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dc:publisher"/>-->
-                        <!--<FIELD browsingAliasFor="source" indexable="true" name="sourceforbrowsing" result="false" stat="false" tokenizable="false" xpath="//dc:source"/>-->
-
                     </FIELDS>
                 </LAYOUT>
             </LAYOUTS>